#include <iostream>
#include <fstream>

using namespace std;

int d[1000000];
int main() {
	
	ifstream f1("DAYCHUNG.INP");
	ofstream f2("DAYCHUNG.OUT");
	int n,m,dem=0,i,j,tg;
	f1>>n;
	f1>>m;
	int a[1000],b[1000],v[1000];
	for (i=1;i<=n;i++)
	{f1>>a[i];
	d[a[i]]=1;}
	for (j=1;j<=m;j++)
	{f1>>b[j];
	if(d[b[j]]==1)
	{v[dem]=b[j];
	dem++;
	}}
	f2<<dem<<endl;
	for (i=0;i<dem;i++)
	{ for (j=i+1;j<=dem;j++)
	 if (v[i]>v[j])
	 { tg=v[i];
	   v[i]=v[j];
	   v[j]=tg;
	 }
	}
	for (i=0;i<dem;i++)
	{f2<<v[i]<<" ";
	}
	return 0;
}
